<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sd="http://www.thymeleaf.org/spring-data"
      xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      layout:decorate="~{/layoute/layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="content">
    <h1 class="h3 mb-3">Tagihan Iuran Bulanan</h1>
    Show <span sd:page-size-selector="javascript"></span> entries
    <div class="row">
        <th:block th:each="tgh : ${listTransaksi}">
            <div class="col-md-6 col-lg-12">
                <div class="card">
                    <div class="card-body">

                        <div class="accordion-item">
                            <h2 class="accordion-header" th:id="${tgh.id}">

                                <button class="accordion-button" type="button" data-bs-toggle="collapse"
                                        aria-expanded="true" th:aria-controls="${tgh.id}"
                                        th:attr="data-bs-target='#tagihan'+${tgh.id }"
                                >
                                    Iuran RT Bulan <th:block th:text="${tgh.tanggalIuran}"/>
                                </button>
                            </h2>
                            <div th:id="'tagihan' + ${tgh.id}" class="accordion-collapse collapse show"
                                 th:aria-labelledby="${tgh.id}"
                                 data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <ul class="list-group">
                                        <th:block th:each="ji : ${tgh.iuranPerbulan.jenisIurans}">
                                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                                <span th:text="${ji.namaIuran}"/>
                                                <span class="badge bg-primary rounded-pill" th:text="${ji.nominal}"/>
                                            </li>
                                        </th:block>
                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                            <span>Total Tagihan</span>
                                            <span>
                                                <b th:text="${#aggregates.sum(tgh.iuranPerbulan.jenisIurans.![nominal])}"/>
                                            </span>
                                        </li>
                                        <a href="#" class="btn btn-primary">Bayar Tagihan</a>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </th:block>
    </div>
    <div class="row">
        <div class="col-sm-6">
            <div sd:pagination-summary="">info</div>
        </div>
        <div class="col-sm-6">
            <nav class="pull-right">
                <ul class="pagination" sd:pagination-split="7" sd:pagination="full">
                    <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                    <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                </ul>
            </nav>
        </div>
    </div>
</div>


</body>
</html>